static char rcsid[] = "@(#)$Id: mbox_generic.c,v 2.6 2018/05/10 10:39:46 hurtta Exp $";

/******************************************************************************
 *  The Elm (ME+) Mail System  -  $Revision: 2.6 $   $State: Exp $
 *
 *  Author: Kari Hurtta <hurtta+elm@siilo.FMI.FI> 
 *                  (was hurtta+elm@posti.FMI.FI, hurtta+elm@ozone.FMI.FI)
 *      or  Kari Hurtta <elm@elmme-mailer.org>
 *****************************************************************************/

#include "def_mbox.h"

DEBUG_VAR(Debug,__FILE__,"file");

/* Returns 1 if changed,
   -1 error
 */
int browser_reset_filter_generic(dir)
     struct folder_browser *dir;     
{  
    int ret = -1;
    
    struct string * buffer = NULL;
    
    buffer = dir->type->browser_cat_it(dir,NULL);
    
    if (!buffer) {
	
	DPRINT(Debug,12,(&Debug,
			 "browser_reset_filter_generic: Failed to generate current directory\n"));
	
	ret = -1;
	goto FAIL;
    }

    DPRINT(Debug,12,(&Debug,
		     "browser_reset_filter_generic: directory=%S\n",buffer));
    
    free_string(&(dir->filter));
    clear_dir_vector(dir);

    
    if (!change_dir_helper(dir,&buffer)) {
	DPRINT(Debug,12,(&Debug,
			 "browser_reset_filter_generic: Failed to change directory to %S\n",
			 buffer));
	ret = -1;
	goto FAIL;
    }

    ret = 1;

 FAIL:

    if (buffer)
	free_string(&buffer);

    DPRINT(Debug,11,(&Debug,"browser_reset_filter_generic=%d\n", ret));

    return ret;
}


/* This can change type of dir */
int browser_select_idx_generic(dir,entry,buffer) 
     struct folder_browser *dir;
     struct name_vector *entry;
     struct string **buffer;
{
    int ret = 0;

    struct string *name = dir->type->browser_cat_it(dir,entry->disp_name);

    if (!name)
	goto FAIL;

    if (*buffer)
	free_string(buffer);

    *buffer = name;

    ret = select_dir_item_helper(dir,buffer,NULL);

 FAIL:

    DPRINT(Debug,11,(&Debug,"browser_select_idx_generic=%d\n", ret));

    return ret;
}

/* Increments refcount */
E_(browser_gethm_name_vector_dir browser_gethm_name_vector_null)
struct hashmark_item * browser_gethm_name_vector_null(dir,entry)
     struct folder_browser * dir;
     struct name_vector    * entry;
{
    /* Entry do not have hashmark */

    DPRINT(Debug,11,(&Debug,"browser_gethm_name_vector_null=NULL\n"));
    
    return NULL;
}

E_(browser_sethm_name_vector_dir browser_sethm_name_vector_null)
int browser_sethm_name_vector_null(dir,entry,hm)
     struct folder_browser * dir;
     struct name_vector    * entry;
     struct hashmark_item  * hm;
{
    /* Entry do not have hashmark */


    DPRINT(Debug,11,(&Debug,"browser_sethm_name_vector_null=0\n"));
    return 0;
}

/*
 * Local Variables:
 *  mode:c
 *  c-basic-offset:4
 *  buffer-file-coding-system: iso-8859-1
 * End:
 */
